[Beta] Generic ID Extractor
Introduction
This API allows users to extract information from KYC documents such as Aadhar, Pan, Voter Id and other cards through images. The API accepts an image URL containing KY document. The API returns a JSON response with the extracted information in a result object including name of the business, address of the business, unique id of the documents and many other related information.
API details
Endpoint
POST https://api-preproduction.signzy.app/api/v3/extraction/idb_botPOST https://api.signzy.app/api/v3/extraction/idb_botRequest headers
Name | Value | Required | Description |
|---|---|---|---|
Content-Type | application/json | Mandatory | The type of content that the request body contains. |
Authorization | XXXXXXXXXXXXXXX | Mandatory | An authentication token to authorize the request. Reach out to the Signzy support team to get one created. |
Request body parameters
Parameter | Data type | Description | Required |
|---|---|---|---|
imgUrl | String | A URL of the image. Acceptable image format TIFF/TIF, JPEG/JPG, PNG, PDF(maximum 2 pages) containing id card | Mandatory |
{
"imgUrl": "https://development-persist.signzy.tech/api/files/893839/download/xxxxx.jpg"
}Code samples
package main
import (
"fmt"
"strings"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api.signzy.app/api/v3/extraction/idb_bot"
method := "POST"
payload := strings.NewReader(`{
"imgUrl": "https://development-persist.signzy.tech/api/files/xxxx/download/xxxx.jpg"
}`)
client := &http.Client {
}
req, err := http.NewRequest(method, url, payload)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Content-Type", "application/json")
req.Header.Add("Authorization", "<Auth-Token>")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := ioutil.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}Response body parameters
Parameter | Data Type | Description |
|---|---|---|
result | Object | An object containing the extracted udyog aadhar details |
result.name | String | Name of the card holder |
result.dob | Date | dob of the card holder |
result.id | String | Unique id associated with the card |
result.address | String | Address of the card holder |
result.city | String | city associated with the cardholder's address |
result.zip_code | String | zip_code associated with the cardholder's address |
result.state | String | state associated with the cardholder's address |
result.country | String | country of issue of the card |
{
"result": {
"name": "John Doe",
"dob": "23/09/1999",
"id": "xxxx",
"address": "",
"id_type": "Permanent Account Number Card",
"city": "",
"zip_code": "",
"state": "",
"country": "India"
}
}Contact Us for Any Assistance
If you have any questions or need assistance, please reach out to our customer support team. You can contact us via email at [email protected]. We strive to provide prompt and reliable assistance, ensuring your queries are addressed effectively.
We value your feedback and are committed to making your experience smooth and enjoyable. Our team is dedicated to assisting you with any needs you may have. Thank you for choosing our services. We look forward to helping you!